Index: /trunk/phpgwapi/templates/celepar/navbar.inc.php
===================================================================
--- /trunk/phpgwapi/templates/celepar/navbar.inc.php	(revision 72)
+++ /trunk/phpgwapi/templates/celepar/navbar.inc.php	(revision 79)
@@ -30,4 +30,11 @@
 		$GLOBALS['celepar_tpl']->set_block('navbar','appbox','appbox');
 		$GLOBALS['celepar_tpl']->set_block('navbar','navbar_footer','navbar_footer');
+		
+	        $GLOBALS['celepar_tpl']->set_var('my_preferences', lang("My Preferences"));
+                $GLOBALS['celepar_tpl']->set_var('title_my_preferences', lang("Click here to change your Expresso password and other preferences"));
+                $GLOBALS['celepar_tpl']->set_var('title_suggestions', lang("Send your critics, doubts or suggestions"));
+                $GLOBALS['celepar_tpl']->set_var('suggestions', lang("Suggestions"));
+                $GLOBALS['celepar_tpl']->set_var('help', lang("Help"));
+                $GLOBALS['celepar_tpl']->set_var('title_help', lang("Click here for help"));
 
 		$var['img_root'] = $GLOBALS['phpgw_info']['server']['webserver_url'] . '/phpgwapi/templates/celepar/images';
Index: /trunk/phpgwapi/templates/celepar/navbar.tpl
===================================================================
--- /trunk/phpgwapi/templates/celepar/navbar.tpl	(revision 25)
+++ /trunk/phpgwapi/templates/celepar/navbar.tpl	(revision 79)
@@ -73,9 +73,9 @@
   <td width="30%" id="admin_info" nowrap>{current_users}</td>
   <td style="padding-right:10px" width="*" align="right" valign="center" nowrap="true">
-  		<a href="{dir_root}/preferences" title="Clique aqui para alterar sua senha do Expresso e demais prefer&ecirc;ncias" alt="Clique aqui para alterar sua senha do Expresso e demais prefer&ecirc;ncias" onmouseover="javascript:self.status='Envie suas Cr&iacute;ticas, D&uacute;vidas ou Sugest&otilde;es sobre o Expresso Livre'" onmouseout="javascript:self.status=''"><img height="15px" src="{dir_root}/phpgwapi/templates/celepar/images/preferences.png"><font size="-1">Minhas Prefer&ecirc;ncias</font></a>
+  		<a href="{dir_root}/preferences" title="{title_my_preferences}" alt="{title_my_preferences}" onmouseover="javascript:self.status='{title_my_preferences}'" onmouseout="javascript:self.status=''"><img height="15px" src="{dir_root}/phpgwapi/templates/celepar/images/preferences.png"><font size="-1">{my_preferences}</font></a>
   		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
-  		<a href="#" title="Clique aqui para enviar Cr&iacute;ticas, D&uacute;vidas ou Sugest&otilde;es" alt="Clique aqui para enviar Cr&iacute;ticas, D&uacute;vidas ou Sugest&otilde;es" onmouseover="javascript:self.status='Envie suas Cr&iacute;ticas, D&uacute;vidas ou Sugest&otilde;es sobre o Expresso Livre'" onmouseout="javascript:self.status=''" onclick="javascript:openWindow(400,550,'{dir_root}/help/enviasugestao.php')"><img src="{dir_root}/help/templates/celepar/images/criticas.jpg"><font size="-1"> Sugest&otilde;es</font></a>
+  		<a href="#" title="{title_suggestions}" alt="{title_suggestions}" onmouseover="javascript:self.status='{title_suggestions}'" onmouseout="javascript:self.status=''" onclick="javascript:openWindow(400,550,'{dir_root}/help/enviasugestao.php')"><img src="{dir_root}/help/templates/celepar/images/criticas.jpg"><font size="-1">{suggestions}</font></a>
   		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-  		<a href="#" title="Clique aqui para ajuda" alt="Clique aqui para ajuda" onmouseover="javascript:self.status='Ajuda do Expresso Livre'" onmouseout="javascript:self.status=''" onclick="javascript:openWindow(480,510,'{dir_root}/help')"><img src="{dir_root}/help/templates/celepar/images/ajuda.jpg"><font size="-1">Ajuda</font></a>
+  		<a href="#" title="{title_help}" alt="{title_help}" onmouseover="javascript:self.status='{title_help}'" onmouseout="javascript:self.status=''" onclick="javascript:openWindow(480,510,'{dir_root}/help')"><img src="{dir_root}/help/templates/celepar/images/ajuda.jpg"><font size="-1">{help}</font></a>
   </td>
  </tr>
Index: /trunk/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.ui_data.inc.php	(revision 38)
+++ /trunk/contactcenter/inc/class.ui_data.inc.php	(revision 79)
@@ -134,4 +134,6 @@
 			$GLOBALS['phpgw']->template->set_var('cc_panel_table',lang('Table View'));
 			$GLOBALS['phpgw']->template->set_var('cc_panel_cards',lang('Cards View'));
+			$GLOBALS['phpgw']->template->set_var('cc_btn_import_export', lang('Import/Export'));
+			$GLOBALS['phpgw']->template->set_var('cc_btn_new', lang("New..."));
 			
 			$GLOBALS['phpgw']->template->set_var('cc_panel_search_found',lang('Showing found entries'));
Index: /trunk/contactcenter/js/ccIEContacts.js
===================================================================
--- /trunk/contactcenter/js/ccIEContacts.js	(revision 57)
+++ /trunk/contactcenter/js/ccIEContacts.js	(revision 79)
@@ -39,40 +39,39 @@
 			this.el.innerHTML = 
 			'<div align="left" id="divAppbox"><table width="100%" border=0>'+
-			'<tr><td style="border-bottom:1px solid black"><input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" value="i" style="border:0" checked>Importar Contatos'+
-			'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" style="border:0" value="e"/>Exportar Contatos<br></td></tr>'+
+			'<tr><td style="border-bottom:1px solid black"><input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" value="i" style="border:0" checked>'+get_lang("Import Contacts")+
+			'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" style="border:0" value="e"/>'+get_lang("Export Contacts") +' <br></td></tr>'+
 			'</table>'+
 			'<table border=0 height="208px"  width="100%" id="import_span">'+
 			'<tr><td>'+
-			'<font color="DARKBLUE" size="2">O Expresso suporta a importação de contatos no formato de arquivo CSV.</font></td></tr>'+
+			'<font color="DARKBLUE" size="2">'+get_lang("The Expresso supports the contacts importation in the CSV file format.")+'</font></td></tr>'+
 			'<tr><td height="75px" valign="top">'+
-			'<form name="formCSV" method="POST" enctype="multipart/form-data">'+										
-			'Selecione o tipo do arquivo:&nbsp;<select id="typeImport">'+
-			'<option value="outlook">Outlook Express</option>'+
-			'<option value="outlook2000">Outlook 2000</option>'+
-			'<option value="thunderbird">Mozilla Thunderbird</option>'+
-			'<option value="expresso" selected>Expresso (padrão)</option></select><br>'+
-			'<br>Selecione o arquivo que contém os contatos a serem importados:<br><br>'+			
+			'<form name="formCSV" method="POST" enctype="multipart/form-data">'+get_lang("Select the file type")+':&nbsp;<select id="typeImport">'+
+			'<option value="outlook">'+get_lang("Outlook Express")+'</option>'+
+			'<option value="outlook2000">'+get_lang("Outlook 2000")+'</option>'+
+			'<option value="thunderbird">'+get_lang("Mozilla Thunderbird")+'</option>'+
+			'<option value="expresso" selected>'+get_lang("Expresso (default)")+'</option></select><br>'+
+			'<br>'+get_lang("Select the file that contains the contacts to be imported:")+'<br><br>'+			
 			'<input id="import_file" type="file" name="import_file">'+
 			'</form></td></tr>'+
 			'<tr><td height="10px" align="center" nowrap><span style="visibility:hidden" id="s_info"></span></td></tr>'+
 			'<tr><td height="10px" align="center"></td></tr>'+
-			'<tr><td nowrap><center><input id="import_button" type="button" value="Importar Contatos" onClick="javascript:ccIEContacts.importCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
-			'<input type="button" value="Fechar" onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
+			'<tr><td nowrap><center><input id="import_button" type="button" value='+get_lang("Import Contacts")+' onClick="javascript:ccIEContacts.importCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
+			'<input type="button" value='+get_lang("Close")+' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
 			'</table>'+
 			'<table border=0  height="208px"  width="100%" style="display:none" id="export_span">'+
 			'<tr><td>'+						
-			'<font color="DARKBLUE" size="2">O Expresso suporta a exportação de contatos no formato de arquivo CSV.</font></td></tr>'+
+			'<font color="DARKBLUE" size="2">'+get_lang("The Expresso supports the contacts importation in the CSV file format.")+'</font></td></tr>'+
 			'<tr><td height="85px" valign="top">'+						
-			'Selecione o tipo do formato que deseja exportar seus contatos:<br><br>'+
-			'<input style="border:0" id="typeExport_0" name="radio" type="radio" value="expresso" checked/>Exportar como CSV do Expresso (padrão)<br>'+
-			'<input style="border:0" id="typeExport_1" name="radio" type="radio" value="outlook_pt-BR">Exportar como CSV do Outlook Express (Português)<br>'+
-			'<input style="border:0" id="typeExport_2" name="radio" type="radio" value="outlook_en">Exportar como CSV do Outlook Express (Inglês)<br>'+
-			'<input style="border:0" id="typeExport_3" name="radio" type="radio" value="outlook2000_pt-BR">Exportar como CSV do Outlook 2000 (Português)<br>'+
-			'<input style="border:0" id="typeExport_4" name="radio" type="radio" value="outlook2000_en">Exportar como CSV do Outlook 2000 (Inglês)<br>'+
-			'<input style="border:0" id="typeExport_5" name="radio" type="radio" value="thunderbird">Exportar como CSV do Mozilla Thunderbird<br>'+
+			get_lang("Select the format type that you want to export your contacts")+'<br><br>'+
+			'<input style="border:0" id="typeExport_0" name="radio" type="radio" value="expresso" checked/>'+get_lang("Export as Expresso (default) CSV.")+'<br>'+
+			'<input style="border:0" id="typeExport_1" name="radio" type="radio" value="outlook_pt-BR">'+get_lang("Export as Outlook Express (Portuguese) CSV.") + '<br>'+
+			'<input style="border:0" id="typeExport_2" name="radio" type="radio" value="outlook_en">'+get_lang("Export as Outlook Expresso (English) CSV.") + '<br>'+
+			'<input style="border:0" id="typeExport_3" name="radio" type="radio" value="outlook2000_pt-BR">'+get_lang("Export as Outlook 2000 (Portuguese) CSV.") + '<br>'+
+			'<input style="border:0" id="typeExport_4" name="radio" type="radio" value="outlook2000_en">'+get_lang("Export as Outlook 2000 (English) CSV.") + '<br>'+
+			'<input style="border:0" id="typeExport_5" name="radio" type="radio" value="thunderbird">'+get_lang("Export as Mozilla Thunderbird CSV.") + '<br>'+
 			'</td></tr>'+
 			'<tr><td align="center">&nbsp;</td></tr>'+
-			'<tr><td nowrap><center><input id="export_button" type="button" value="Exportar Contatos" onClick="javascript:ccIEContacts.exportCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
-			'<input type="button" value="Fechar" onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
+			'<tr><td nowrap><center><input id="export_button" type="button" value='+get_lang("Export Contacts")+ ' onClick="javascript:ccIEContacts.exportCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
+			'<input type="button" value='+get_lang("Close") + ' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
 			'</table></div>';
 		}		
@@ -91,5 +90,5 @@
 				title_color: '#3978d6',
 				bg_color: '#eee',
-				title: "Importar / Exportar Contatos Pessoais",						
+				title: get_lang("Import / Export Personal Contacts"),						
 				title_text_color: 'white',
 				button_x_img: '../phpgwapi/images/winclose.gif',
@@ -115,6 +114,6 @@
 		var l_2 	= '<font face="Verdana" size="1" color="RED">['+args[2]+' falharam]</font>';
 		var l_3		= '<font face="Verdana" size="1" color="DARKBLUE">['+args[3]+' já existiam]</font>';
-		var l_error	= '<span style="height:15px;background:#cc4444">&nbsp;&nbsp;<font face="Verdana" size="1" color="WHITE">A importação falhou. Verifique o formato do arquivo.&nbsp;</font></span>';
-		var l_importing = '<span style="height:15px;background:rgb(250, 209, 99)">&nbsp;&nbsp;<font face="Verdana" size="1" color="DARKBLUE">Importando contatos ....&nbsp;</font></span>';
+		var l_error	= '<span style="height:15px;background:#cc4444">&nbsp;&nbsp;<font face="Verdana" size="1" color="WHITE">'+get_lang("The importation has failed. Verify the file format.") + '&nbsp;</font></span>';
+		var l_importing = '<span style="height:15px;background:rgb(250, 209, 99)">&nbsp;&nbsp;<font face="Verdana" size="1" color="DARKBLUE">'+get_lang("Importing contacts...") + '&nbsp;</font></span>';
 
 		if(args[0] == 'success') {
@@ -123,5 +122,5 @@
 				status += "&nbsp;"+eval('l_'+i);
 			}
-			Element('s_info').innerHTML = '&nbsp;&nbsp;<font face="Verdana" size="1" color="BLACK"><b>A importação foi concluída.</b></font><br>&nbsp;'+status;
+			Element('s_info').innerHTML = '&nbsp;&nbsp;<font face="Verdana" size="1" color="BLACK"><b>'+get_lang("The importation has finished.")+'</b></font><br>&nbsp;'+status;
 		}
 		else 
@@ -151,5 +150,5 @@
 		if ((form.import_file.value.length < 10) || 
 		(form.import_file.value.substring(form.import_file.value.length - 4, form.import_file.value.length).toLowerCase() != ".csv")){
-			alert('Selecione um arquivo CSV válido para importar seus contatos.');
+			alert(get_lang("Select a valid CSV file to import your contacts"));
 			return;
 		}
@@ -210,5 +209,5 @@
 		var handler_export = function(data) {
 			if(!data){
-				alert("Ocorreu um erro durante a exportação.");
+				alert(get_lang("An error has occurred while the exportation."));
 				return;
 			}				
Index: /trunk/contactcenter/js/ccAux.js
===================================================================
--- /trunk/contactcenter/js/ccAux.js	(revision 2)
+++ /trunk/contactcenter/js/ccAux.js	(revision 79)
@@ -392,4 +392,35 @@
 }
 
+function get_lang(_key,_arg1,_arg2,_arg3,_arg4) {
+
+	array_lang = new Array();
+
+	if(!array_lang[0]){		
+		return _key+"*";
+	}
+	_value = "";	
+	for(i = 0; i < array_lang[0].length;i++){
+		if(array_lang[0][i] == _key.toLowerCase()) {
+			_value = array_lang[1][i];					
+			break;
+		}
+	}	
+	
+	if(!_value)
+		return _key+"*";
+			
+	if(_arg1 || _arg2 ||_arg3 || _arg4) {
+		for(j = 1; j <= 4; j++){
+			if(eval("_arg"+j)) {
+				var regExp = new RegExp("%"+j+"");		
+				_value = _value.replace(regExp,eval("_arg"+j));
+			}
+		}
+	}
+	
+	return _value;
+}
+
+
 /***********************************************\
 *                   CONSTANTS                   *
Index: /trunk/contactcenter/templates/default/index.tpl
===================================================================
--- /trunk/contactcenter/templates/default/index.tpl	(revision 38)
+++ /trunk/contactcenter/templates/default/index.tpl	(revision 79)
@@ -76,5 +76,5 @@
 				<tr align="left">
 					<td align="left">															
-					<input id="cc_button_new" onMouseOver="if(!menuStarted) menu();menu.onmouseover()" onMouseOut="menu.onmouseout()"  value="Novo ..." type="button">					
+					<input id="cc_button_new" onMouseOver="if(!menuStarted) menu();menu.onmouseover()" onMouseOut="menu.onmouseout()"  value="{cc_btn_new}" type="button">					
 					<div id="cc_panel_search_call" style="display: inline"></div>
 					<div id="cc_panel_table" style="display: none; text-align: right">
@@ -86,5 +86,5 @@
 					</td>
 					<td align="right">
-					<input id="cc_button_tools" value="Importar | Exportar" type="button" onclick="javascript:ccIEContacts.showList()">
+					<input id="cc_button_tools" value="{cc_btn_import_export}" type="button" onclick="javascript:ccIEContacts.showList()">
 					</td>
 				</tr>
Index: /trunk/expressoMail1_2/js/TreeS.js
===================================================================
--- /trunk/expressoMail1_2/js/TreeS.js	(revision 2)
+++ /trunk/expressoMail1_2/js/TreeS.js	(revision 79)
@@ -36,17 +36,17 @@
 		div_buttons.innerHTML = "<table border='0' cellpading='0' cellspacing='0'>"+
 							    "<tr>"+
-							    "<td><input type='button' value='Nova pasta' onclick='ttreeBox.validate(\"newpast\")'></td>"+
+							    "<td><input type='button' value='"+get_lang('New Folder')+"' onclick='ttreeBox.validate(\"newpast\")'></td>"+
 							    "</tr>"+
 							    "<tr>"+
-							    "<td><input type='button' value='Deletar Pasta' onclick='ttreeBox.del()'></td>"+
+							    "<td><input type='button' value='"+get_lang('Erase Folder')+"' onclick='ttreeBox.del()'></td>"+
 							    "</tr>"+
 							    "<tr>"+
-							    "<td><input type='button' value='Renomear Pasta' onclick='ttreeBox.validate(\"rename\")'></td>"+
+							    "<td><input type='button' value='"+get_lang('Rename Folder')+"' onclick='ttreeBox.validate(\"rename\")'></td>"+
 							    "</tr>"+
 							    "<tr>"+
-							    "<td><input type='button' value='Exportar Mensagens' onclick='ttreeBox.export_all_msg()'></td>"+
+							    "<td><input type='button' value='"+get_lang('Export Messages')+"' onclick='ttreeBox.export_all_msg()'></td>"+
 							    "</tr>"+
 							    "<tr><td><br><br><br><br><br></td></tr>"+
-							    "<tr><td><input type='button' value='Fechar' onclick='ttree.close_win()'></td></tr>"+
+							    "<tr><td><input type='button' value='"+get_lang('Close')+"' onclick='ttree.close_win()'></td></tr>"+
 							    "</table>";
 		tree.appendChild(div_buttons);		
@@ -86,5 +86,5 @@
 			div.style.height = "250px";
 			div.style.zIndex = "10000";			
-			var title = ' Gerenciamento de Pastas';
+			var title = get_lang("Folder Management");
 			var wHeight = div.offsetHeight + "px";
 			var wWidth =  div.offsetWidth   + "px";
Index: /trunk/expressoMail1_2/js/TreeShow.js
===================================================================
--- /trunk/expressoMail1_2/js/TreeShow.js	(revision 69)
+++ /trunk/expressoMail1_2/js/TreeShow.js	(revision 79)
@@ -51,5 +51,5 @@
 			ttreeBox.del_past(param);
 		}else{
-			alert("Delete primeiro as sub-pastas!");
+                       alert(get_lang("Delete your sub-folders first"));
 		}
 		cont = parseInt(0);
@@ -91,11 +91,12 @@
 			if(this.verify_names(aux2)){
 				if(func == "newpast")
-					if(aux2 == "INBOX"){alert(get_lang("It's not possible")+" criar dentro de : Caixa de Entrada" )}else{alert(get_lang("It's not possible")+" criar dentro de : " + aux2)};
+                                       if(aux2 == "INBOX"){alert(get_lang("It's not possible create inside : INBOX" ))}else{alert(get_lang("It's not possible create inside : ") + aux2)};
 				if(func == "rename")
-					if(aux2 == "INBOX"){alert(get_lang("It's not possible")+" renomear a pasta : Caixa de Entrada" )}else{alert(get_lang("It's not possible")+" renomear a pasta : " + aux2)};
+                                      if(aux2 == "INBOX"){alert(get_lang("It's not possible rename the folder : Caixa de Entrada" ))}else{alert(get_lang("It's not possible rename the folder : ") + aux2)};
 				return false;
 			}else{
 				if(func == "newpast"){
-					var button = prompt("Digite um nome para a nova caixa : ","");
+                                       var button = prompt(get_lang("Enter the name of the new box :"),"");
+
 					if(trim(button) == "" || trim(button) == null){
 						return false;
@@ -106,12 +107,12 @@
 				if(func == "rename"){
 					if(ttree.FOLDER == "root"){
-						alert(get_lang("It's not possible")+" renomear esta pasta!");
+                                               alert(get_lang("It's not possible rename this folder!"));
 						return false;
 					}
 					if(ttree.FOLDER == get_current_folder()){
-						alert(get_lang("It's not possible")+" renomear essa pasta, pois está sendo utilizada!");
-						return false;
-					}
-					var button1 = prompt("Digite um novo nome para a caixa : ", "");
+                                               alert(get_lang("It's not possible rename this folder becouse it is being used in the moment!"));
+						return false;
+					}
+                                       var button1 = prompt(get_lang("Enter a name for the box"), "");
 					if(trim(button1) == "" || trim(button1) == null){
 						return false;
@@ -122,5 +123,5 @@
 			}
 		}else{
-			alert("Selecione uma pasta!");
+                        alert(get_lang("Select a folder"));
 			return false;
 		}
@@ -134,10 +135,10 @@
 		
 		if(aux.length == 1 && aux[0] != "root"){
-			alert(get_lang("It's not possible")+" criar dentro de : " + aux[0]);
+                       alert(get_lang("It's not possible create inside : ") + aux[0]);
 			newp = "";
 		}else{
 			if( aux[0] == "root"){
 				if(!this.verify(newp)){
-					alert("Digite sem espacos, pontos e caracteres especiais!");
+                                       alert(get_lang("Type without spaces, dots or special characters!"));
 					newp = "";
 					return false;
@@ -148,5 +149,5 @@
 			}else{
 				if(!this.verify(newp)){
-					alert("Digite sem espacos, pontos e caracteres especiais!");
+                                        alert(get_lang("Type without spaces, dots or special characters!"));
 					newp = "";
 					return false;
@@ -181,19 +182,19 @@
 		
 		if(old_box == "root"){
-			alert("Selecione uma pasta!");
+                       alert(get_lang("Select a folder"));
 			return false;
 		}
 		if(aux.length == 1){
-			alert(get_lang("It's not possible")+" renomear : " + aux[0]);
+                       alert(get_lang("It's not possible rename : ") + aux[0]);
 			rename = "";
 			return false;
 		}else{
 			if(this.verify_names(aux[1])){
-				alert(get_lang("It's not possible")+" renomear : " + aux[1]);
+                               alert(get_lang("It's not possible rename : ") + aux[1]);
 				rename = "";
 				return false;
 			}else{
 				if(!this.verify(rename)){
-					alert("Digite sem espacos, pontos e caracteres especiais!");
+                                        alert(get_lang("Type without spaces, dots or special characters!"));
 					rename = "";
 					return false;
@@ -243,15 +244,15 @@
 
 		if(aux[0] == "root" || ttree.FOLDER == ""){
-			alert("Selecione uma pasta!")
+                        alert(get_lang("Select a folder!"));
 			return false;
 		}
 		
 		if(aux.length == 1){
-			alert(get_lang("It's not possible")+" deletar a pasta Caixa de Entrada");
+                       alert(get_lang("It's not possible delete the folder Inbox"));		
 			return false;
 		}else{
 			if(this.verify_names(aux[1])){
-				alert(get_lang("It's not possible")+" deletar a pasta " + aux[1]);
-				return false;
+                               alert(get_lang("It's not possible delete the folter ") + aux[1]);	 
+        			return false;
 			}else{
 				this.verify_children(ttree.FOLDER);
@@ -266,8 +267,8 @@
 
 		if(ttree.FOLDER == get_current_folder()){
-			alert(get_lang("It's not possible")+" renomear essa pasta, pois está sendo utilizada!");
-			return false;
-		}
-		if(confirm("Deseja excluir a pasta '" + aux1+"' ?")){
+                      alert(get_lang("It's not possible rename this folder, it is begin in use at the moment!")); 
+			return false;
+		}
+               if(confirm(get_lang("Do you wish to exclude the folder ") + aux1+ "?")){
 			var handler_return = function(data)
 			{		
@@ -278,5 +279,5 @@
 					ttree.FOLDER = "";
 					ttreeBox.update_folder();
-					alert("A pasta " + aux1 + " foi removida com sucesso!");
+                                       alert(get_lang("The folder " + aux1 + get_lang(" was succefully removed")));					
 				}
 			}
Index: /trunk/expressoMail1_2/index.php
===================================================================
--- /trunk/expressoMail1_2/index.php	(revision 72)
+++ /trunk/expressoMail1_2/index.php	(revision 79)
@@ -47,4 +47,7 @@
 	$template->set_var("txt_loading",lang("Loading"));
 	$template->set_var("txt_clear_trash",lang("message(s) deleted from your trash folder."));
+        $template->set_var("new_message", lang("New Message"));
+        $template->set_var("refresh", lang("Refresh"));
+        $template->set_var("tools", lang("Tools"));
 	$template->set_var("upload_max_filesize",ini_get('upload_max_filesize'));
 	$template->set_var("msg_folder",$_GET['msgball']['folder']);
Index: /trunk/expressoMail1_2/templates/default/index.tpl
===================================================================
--- /trunk/expressoMail1_2/templates/default/index.tpl	(revision 65)
+++ /trunk/expressoMail1_2/templates/default/index.tpl	(revision 79)
@@ -16,7 +16,7 @@
 						<tr><td><div class='content-menu'>
 							<table border="0" cellspacing="0" cellpadding="0" border="0"><tbody>
-								<tr><td class='content-menu-td' onclick='javascript:new_message("new","null");' onmouseover='javascript:set_menu_bg(this);' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img src='./templates/default/images/menu/createmail.gif'><span class="em_sidebox_menu">Nova mensagem</span></div></td></tr>
-								<tr><td class='content-menu-td' onclick='javascript:refresh();' onmouseover='javascript:set_menu_bg(this);' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img src='./templates/default/images/menu/checkmail.gif'><span class="em_sidebox_menu">Atualizar</span></div></td></tr>
-								<tr><td id="link_tools" class='content-menu-td' onmouseover='javascript:set_menu_bg(Element("link_tools"));' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img height='16px' src='./templates/default/images/menu/tools.gif'><span class="em_sidebox_menu">Ferramentas ...</span></div></td></tr>								
+								<tr><td class='content-menu-td' onclick='javascript:new_message("new","null");' onmouseover='javascript:set_menu_bg(this);' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img src='./templates/default/images/menu/createmail.gif'><span class="em_sidebox_menu">{new_message}</span></div></td></tr>
+								<tr><td class='content-menu-td' onclick='javascript:refresh();' onmouseover='javascript:set_menu_bg(this);' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img src='./templates/default/images/menu/checkmail.gif'><span class="em_sidebox_menu">{refresh}</span></div></td></tr>
+								<tr><td id="link_tools" class='content-menu-td' onmouseover='javascript:set_menu_bg(Element("link_tools"));' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img height='16px' src='./templates/default/images/menu/tools.gif'><span class="em_sidebox_menu">{tools} ...</span></div></td></tr>								
 							</tbody></table>
 						</div></td></tr>