Index: /trunk/contactcenter/inc/class.ui_api.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.ui_api.inc.php	(revision 2)
+++ /trunk/contactcenter/inc/class.ui_api.inc.php	(revision 84)
@@ -41,4 +41,5 @@
 			$template->set_var('cc_email_id_type', $preferences['personCardEmail']);
 			
+			
 			/* Messages */
 			$template->set_var('cc_msg_err_invalid_catalog',lang('Unavailable or empty Catalog'));
@@ -230,4 +231,6 @@
 			$template->set_var('cc_contact_addrs',lang('Addresses'));
 			$template->set_var('cc_contact_conns',lang('Connections'));
+			$template->set_var('emails_telephones', lang("E-Mails and Telephones"));
+
 			/* End Contact */
 			
@@ -311,4 +314,5 @@
 			/* End Contact - Addresses */
 			
+			
 			/* Contact - Connections */
 			$template->set_var('cc_conn_type',lang('Type of Connection'));
@@ -320,4 +324,8 @@
 			$template->set_var('cc_conn_type_none',lang('Choose Type of Connection').'...');
 			/* End Contact - Connections */
+
+			$template->set_var('email', lang("E-Mail"));
+			$template->set_var('telephone', lang("Telephone"));
+			$template->set_var('choose_email_telephone', lang("Choose 'E-Mail' or 'Telephone'"));
 
 			$template->parse('out_full', 'full_add');
Index: /trunk/contactcenter/templates/default/full_add.tpl
===================================================================
--- /trunk/contactcenter/templates/default/full_add.tpl	(revision 2)
+++ /trunk/contactcenter/templates/default/full_add.tpl	(revision 84)
@@ -13,5 +13,5 @@
 <input id="cc_contact_personal" type="hidden" value="{cc_contact_personal}">
 <input id="cc_contact_addrs" type="hidden" value="{cc_contact_addrs}">
-<input id="cc_contact_conns" type="hidden" value="E-mails e Telefones">
+<input id="cc_contact_conns" type="hidden" value="{emails_telephones}">
 <input id="cc_pd_full_name" name="{cc_pd_full_name}" type="hidden">
 <input id="cc_pd_sex" name="{cc_pd_sex}" type="hidden">
@@ -139,7 +139,7 @@
 	<tbody>
 		<tr class="th" width="100%" align="center" height="10px">
-			<td width="60px" noWrap><input type="radio"  name="cc_conn_type" id="cc_conn_type_1" value="Email" onclick="javascript:updateConnFields();">E-mail</td>
-			<td width="60px" noWrap><input type="radio" name="cc_conn_type" id="cc_conn_type_2" value="Telefone" onclick="javascript:updateConnFields();">Telefone</td>
-			<td width="*" align="left"><select style="width:160px" id="cc_conn_type_sel" onchange="javascript:connAddNewLine();"><option value="-1">Escolha 'Email' ou 'Telefone'</option></select></td>
+			<td width="60px" noWrap><input type="radio"  name="cc_conn_type" id="cc_conn_type_1" value="Email" onclick="javascript:updateConnFields();">{email}</td>
+			<td width="60px" noWrap><input type="radio" name="cc_conn_type" id="cc_conn_type_2" value="Telefone" onclick="javascript:updateConnFields();">{telephone}</td>
+			<td width="*" align="left"><select style="width:160px" id="cc_conn_type_sel" onchange="javascript:connAddNewLine();"><option value="-1">{choose_email_telephone}</option></select></td>
 		</tr>
 		<tr class="row_off">			
Index: /trunk/preferences/inc/class.uiaclprefs2.inc.php
===================================================================
--- /trunk/preferences/inc/class.uiaclprefs2.inc.php	(revision 2)
+++ /trunk/preferences/inc/class.uiaclprefs2.inc.php	(revision 84)
@@ -168,4 +168,14 @@
 			$this->template->set_file($templates);
 
+			$this->template->set_var("users_list", lang("Users List"));
+			$this->template->set_var("attributes", lang("Attributes"));
+			$this->template->set_var("read", lang("Read"));	
+			$this->template->set_var("add", lang("Add"));
+			$this->template->set_var("edit", lang("Edit"));
+			$this->template->set_var("delete", lang("Delete"));
+			$this->template->set_var("private", lang("Private"));
+			$this->template->set_var("remove", lang("Remove"));
+			$this->template->set_var("cancel", lang("Cancel"));
+
 			if ($submit)
 				$this->template->set_var('errors',lang('ACL grants have been updated'));
Index: /trunk/preferences/preference_acl.tpl
===================================================================
--- /trunk/preferences/preference_acl.tpl	(revision 84)
+++ /trunk/preferences/preference_acl.tpl	(revision 84)
@@ -0,0 +1,74 @@
+{errors}
+{title}
+<script src='phpgwapi/templates/celepar/js/listUsers.js' type='text/javascript'></script>
+<form method="POST" action="{action_url}" name="formAcl">
+<center>
+<table border="0"
+	<tr>
+		<td width="10%"></td>
+		<td  width="55%"><center><strong>Lista de Usu&aacute;rios</strong></center></td>		
+		<td  width="35%">
+			<strong>Atributos</strong>
+		</td>
+	</tr>
+	
+	<tr>
+		<td></td>
+		<td>
+			<center>
+				<select id="user_list" name="user_values" style="width:250px" size="10" onChange="javascript:execAction('LOAD')" onClick="javascript:execAction('LOAD')">{row}</select>
+			</center>
+		</td>			
+		<td>
+			<table border="0">
+				<tr>
+					<td><input type="checkbox" name="checkAttr" value="Y" onclick="javascript:execAction('SAVE')"></td>
+					<td>Ler</td>
+				</tr><tr>
+					<td><input type="checkbox" name="checkAttr" value="Y" onclick="javascript:execAction('SAVE')"></td>
+					<td>Adicionar</td>
+				</tr><tr>													
+					<td><input type="checkbox" name="checkAttr" value="Y" onclick="javascript:execAction('SAVE')"></td>
+					<td>Editar</td>				
+				</tr><tr>					
+					<td><input type="checkbox" name="checkAttr" value="Y" onclick="javascript:execAction('SAVE')"></td>
+					<td>Excluir</td>
+				</tr><tr>
+					<td><input type="checkbox" name="checkAttr" value="Y" onclick="javascript:execAction('SAVE')"></td>
+					<td>Privado</td>
+				</tr>
+			</table>
+			
+		</td>
+	</tr>
+	
+	<tr>
+		<td></td>
+		<td width="40%" id="tdHiddens">
+			&nbsp;
+		</td>
+	</tr>
+	<tr>
+		<td></td>
+	<td>
+		{common_hidden_vars_form}
+		{hiddens}
+ 			<input type="hidden" name="processed" value="{processed}">
+ 		<center>
+ 			<input type="submit" name="submit" value="{submit_lang}">
+			<input type="button" value="Adicionar" onclick="openListUsers(340,533,'preferences')">
+			<input type="button" value="Remover" onclick="javascript:remUserAcl()">
+			<input type="button" value="Cancelar" onclick="javascript:history.back()">
+ 		</center>
+	</td>
+	</tr>
+	
+</table>
+</center>
+</form>
+<script language="Javascript1.3">
+if(!document.formAcl.user_values.length)
+	for(j = 0; j < document.formAcl.checkAttr.length; j++)
+		document.formAcl.checkAttr[j].disabled = true;
+
+</script>
Index: /trunk/preferences/templates/celepar/preference_acl.tpl
===================================================================
--- /trunk/preferences/templates/celepar/preference_acl.tpl	(revision 2)
+++ /trunk/preferences/templates/celepar/preference_acl.tpl	(revision 84)
@@ -7,7 +7,7 @@
 	<tr>
 		<td width="10%"></td>
-		<td  width="55%"><center><strong>Lista de Usu&aacute;rios</strong></center></td>		
+		<td  width="55%"><center><strong>{users_list}</strong></center></td>		
 		<td  width="35%">
-			<strong>Atributos</strong>
+			<strong>{attributes}</strong>
 		</td>
 	</tr>
@@ -24,17 +24,17 @@
 				<tr>
 					<td><input type="checkbox" name="checkAttr" value="Y" onclick="javascript:execAction('SAVE')"></td>
-					<td>Ler</td>
+					<td>{read}</td>
 				</tr><tr>
 					<td><input type="checkbox" name="checkAttr" value="Y" onclick="javascript:execAction('SAVE')"></td>
-					<td>Adicionar</td>
+					<td>{add}</td>
 				</tr><tr>													
 					<td><input type="checkbox" name="checkAttr" value="Y" onclick="javascript:execAction('SAVE')"></td>
-					<td>Editar</td>				
+					<td>{edit}</td>				
 				</tr><tr>					
 					<td><input type="checkbox" name="checkAttr" value="Y" onclick="javascript:execAction('SAVE')"></td>
-					<td>Excluir</td>
+					<td>{delete}</td>
 				</tr><tr>
 					<td><input type="checkbox" name="checkAttr" value="Y" onclick="javascript:execAction('SAVE')"></td>
-					<td>Privado</td>
+					<td>{private}</td>
 				</tr>
 			</table>
@@ -57,7 +57,7 @@
  		<center>
  			<input type="submit" name="submit" value="{submit_lang}">
-			<input type="button" value="Adicionar" onclick="openListUsers(340,533,'preferences')">
-			<input type="button" value="Remover" onclick="javascript:remUserAcl()">
-			<input type="button" value="Cancelar" onclick="javascript:history.back()">
+			<input type="button" value="{add}" onclick="openListUsers(340,533,'preferences')">
+			<input type="button" value="{remove}" onclick="javascript:remUserAcl()">
+			<input type="button" value="{cancel}" onclick="javascript:history.back()">
  		</center>
 	</td>
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 83)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 84)
@@ -2151,8 +2151,8 @@
    		 get_lang("List")+': '+
    	'<span id="span_flag_SORTARRIVAL" style="'+(search_box_type == 'ALL' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("All")+'" class="message_options" onclick="if(\'ALL\' == \''+search_box_type+'\') return false;sort_box(\'ALL\',\''+sort_box_type+'\')">'+get_lang("all")+'</span>, '+
-   	'<span id="span_flag_UNSEEN" style="'+(search_box_type == 'UNSEEN' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Unseen")+'" class="message_options" onclick="if(\'UNSEEN\' == \''+search_box_type+'\') return false;sort_box(\'UNSEEN\',\''+sort_box_type+'\')">'+get_lang("Unseen")+'s</span>, '+
-  	'<span id="span_flag_SEEN" style="'+(search_box_type == 'SEEN' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Seen")+'" class="message_options" onclick="if(\'SEEN\' == \''+search_box_type+'\') return false;sort_box(\'SEEN\',\''+sort_box_type+'\')">'+get_lang("Seen")+'s</span>, '+
-   	'<span id="span_flag_ANSWERED" style="'+(search_box_type == 'ANSWERED' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Answered")+'" class="message_options" onclick="if(\'ANSWERED\' == \''+search_box_type+'\') return false;sort_box(\'ANSWERED\',\''+sort_box_type+'\')">'+get_lang("answered").toLowerCase()+'s</span>, '+
-   	'<span id="span_flag_FLAGGED" style="'+(search_box_type == 'FLAGGED' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("important")+'" class="message_options" onclick="if(\'FLAGGED\' == \''+search_box_type+'\') return false;sort_box(\'FLAGGED\',\''+sort_box_type+'\')">'+get_lang("important")+'s</span>&nbsp;&nbsp;';
+   	'<span id="span_flag_UNSEEN" style="'+(search_box_type == 'UNSEEN' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Unseen")+'" class="message_options" onclick="if(\'UNSEEN\' == \''+search_box_type+'\') return false;sort_box(\'UNSEEN\',\''+sort_box_type+'\')">'+get_lang("Unseens")+'</span>, '+
+  	'<span id="span_flag_SEEN" style="'+(search_box_type == 'SEEN' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Seen")+'" class="message_options" onclick="if(\'SEEN\' == \''+search_box_type+'\') return false;sort_box(\'SEEN\',\''+sort_box_type+'\')">'+get_lang("Seens")+'</span>, '+
+   	'<span id="span_flag_ANSWERED" style="'+(search_box_type == 'ANSWERED' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Answered")+'" class="message_options" onclick="if(\'ANSWERED\' == \''+search_box_type+'\') return false;sort_box(\'ANSWERED\',\''+sort_box_type+'\')">'+get_lang("answereds").toLowerCase()+'</span>, '+
+   	'<span id="span_flag_FLAGGED" style="'+(search_box_type == 'FLAGGED' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("important")+'" class="message_options" onclick="if(\'FLAGGED\' == \''+search_box_type+'\') return false;sort_box(\'FLAGGED\',\''+sort_box_type+'\')">'+get_lang("importants")+'</span>&nbsp;&nbsp;';
 	draw_paging(num_msgs);
 	Element("tot_m").innerHTML = num_msgs;	