Index: /trunk/expressoAdmin1_2/templates/default/config.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/config.tpl	(revision 64)
+++ /trunk/expressoAdmin1_2/templates/default/config.tpl	(revision 88)
@@ -62,5 +62,5 @@
 	<tr class="row_off">
 		<td>{lang_Default_Logon_Script}:</td>
-		<td><input name="newsettings[expressoAdmin_defaultLogonScript]" value="{value_expressoAdmin_defaultLogonScript}" size="15" />(Deixe em branco para gerar o logon script com o login do usuáro.)</td>
+		<td><input name="newsettings[expressoAdmin_defaultLogonScript]" value="{value_expressoAdmin_defaultLogonScript}" size="15" />({lang_Let_it_blank_to_generate_the_logon_script_with_user_login})</td>
 	</tr>
 	<tr class="row_on">
Index: /trunk/contactcenter/js/cc.js
===================================================================
--- /trunk/contactcenter/js/cc.js	(revision 75)
+++ /trunk/contactcenter/js/cc.js	(revision 88)
@@ -1402,7 +1402,8 @@
 		
 	if(Element('cc_conn_type_1').checked) {
-		cc_conn_type_sel[0] = new Option('Novo Email...','-1');	
-		cc_conn_type_sel[1] = new Option('Principal','Principal');
-		cc_conn_type_sel[2] = new Option('Alternativo','Alternativo');	
+	    cc_conn_type_sel[0] = new Option(get_lang('New E-Mail...'),'-1');	
+	    cc_conn_type_sel[1] = new Option(get_lang('Main'),get_lang('Main'));
+	    cc_conn_type_sel[2] = new Option(get_lang('Alternative'),get_lang('Alternative'));	
+
 		connID = 1;
 		selected_index = cc_email_default.options.selectedIndex;
@@ -1410,7 +1411,6 @@
 			cc_email_default.options[i--] = null;
 		}
-		
-		cc_email_default.options[0] = new Option('Selecionar Email...','-1');
-
+
+		cc_email_default.options[0] = new Option(get_lang('Select E-Mail'),'-1');		
 		cc_phone_default.style.display = 'none';
 		cc_email_default.style.display = '';			
@@ -1418,10 +1418,11 @@
 	}
 	else if(Element('cc_conn_type_2').checked) {
-		cc_conn_type_sel[0] = new Option('Novo Telefone...','-1');	
-		cc_conn_type_sel[1] = new Option('Residencial','Residencial');
-		cc_conn_type_sel[2] = new Option('Celular','Celular');	
-		cc_conn_type_sel[3] = new Option('Comercial','Comercial');
-		cc_conn_type_sel[4] = new Option('Fax','Fax');
-		cc_conn_type_sel[5] = new Option('Pager','Pager');
+	    cc_conn_type_sel[0] = new Option(get_lang('New Telephone'),'-1');	
+	    cc_conn_type_sel[1] = new Option(get_lang('Home'),get_lang('Home'));
+	    cc_conn_type_sel[2] = new Option(get_lang('Cellphone'),get_lang('Cellphone'));	
+	    cc_conn_type_sel[3] = new Option(get_lang('Work'),get_lang('Comercial'));
+	    cc_conn_type_sel[4] = new Option(get_lang('Fax'),get_lang('Fax'));
+	    cc_conn_type_sel[5] = new Option(get_lang('Pager'),get_lang('Pager'));
+
 		connID = 2;
 		selected_index = cc_phone_default.options.selectedIndex;
@@ -1430,5 +1431,5 @@
 		}
 
-		cc_phone_default.options[0] = new Option('Selecionar Telefone...','-1');
+		cc_phone_default.options[0] = new Option(get_lang('Select the telephone'),'-1');
 		cc_email_default.style.display = 'none';
 		cc_phone_default.style.display = '';
Index: /trunk/contactcenter/js/ccMain.js
===================================================================
--- /trunk/contactcenter/js/ccMain.js	(revision 38)
+++ /trunk/contactcenter/js/ccMain.js	(revision 88)
@@ -190,11 +190,11 @@
 	"border:1px solid black;left:"+(screenWidth - 330)+";top:10px;width:300px;padding:10px;"+
 	(document.body.clientWidth ? "-moz-border-radius: 9px 9px 9px 9px;'>" : "")+
-	"<font color='RED' size='2'>Aviso: Versão muito antiga do Firefox ("+_version+")</font><BR>"+
-	"<font color='black' size='2'><p style='text-align:justify'>&nbsp;Para que essa aplicação funcione <u>corretamente</u> "+
-	"é necessário atualizar o seu navegador Firefox para uma versão mais nova (versão > 1.5). "+	
-	"Instale agora clicando no link abaixo ou caso queira atualizar mais tarde (não recomendável), clique em Fechar.</p></font><div style='width:100%' align='center'>"+
-	"<a title='Instalar agora' href='http://br.mozdev.org/firefox/download.html' target='_blank'>Instalar nova versão do Firefox</a>"+	
+	    "<font color='RED' size='2'>"+get_lang("Warning: Too old version of Firefox") +  "("+_version+")</font><BR>"+
+	    "<font color='black' size='2'><p style='text-align:justify'>&nbsp;"+get_lang("For this application work correctly</u>")+
+	    get_lang("it's necessary to update your Firefox Browser for a new version (version > 1.5) Install now clicking in the link bellow, or if you want to update it later click Close") + ".</p></font><div style='width:100%' align='center'>"+
+	    "<a title='"+get_lang("Install Now")+"' href='http://br.mozdev.org/firefox/download.html' target='_blank'>"+get_lang("Install a new Firefox version") + "</a>"+	
 	"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+
-	"<a title='Fechar' href='javascript:void(0)' onclick='javascript:myOpacity.toggle()'>Fechar</a></div>"+
+	    "<a title='"+get_lang("Close")+"' href='javascript:void(0)' onclick='javascript:myOpacity.toggle()'>"+get_lang("Close")+"</a></div>"+
+
 	"</DIV>";
 
Index: /trunk/preferences/changepersonaldata.php
===================================================================
--- /trunk/preferences/changepersonaldata.php	(revision 2)
+++ /trunk/preferences/changepersonaldata.php	(revision 88)
@@ -39,5 +39,6 @@
 
 	$GLOBALS['phpgw']->template->set_var('lang_commercial_telephonenumber',lang('Commercial Telephone number'));
-	$GLOBALS['phpgw']->template->set_var('lang_ps_commercial_telephonenumber','Observação: Este número de telefone irá aparecer nas buscas por seu nome e será visível por todos os usuários do ExpressoLivre.');
+	$GLOBALS['phpgw']->template->set_var('lang_ps_commercial_telephonenumber',
+	get_lang('Observation: This telephone number will apear in the 	searches for your name, and will be visible for all ExpressoLivre Users.');
 	$GLOBALS['phpgw']->template->set_var('lang_change',lang('Change'));
 	$GLOBALS['phpgw']->template->set_var('lang_cancel',lang('Cancel'));
Index: /trunk/expressoMail1_2/js/filter.js
===================================================================
--- /trunk/expressoMail1_2/js/filter.js	(revision 61)
+++ /trunk/expressoMail1_2/js/filter.js	(revision 88)
@@ -1,3 +1,3 @@
-	function cfilter(){
+'	function cfilter(){
 
 		this.mode_in   = "";
@@ -232,10 +232,10 @@
 						 "<tr><td colspan='2'><hr size='1' width='100%'></td></tr><tr>"+
 						 "<td rowspan='4' width='20%'>"+get_lang('Coincident')+"<br><select id='select_rules' name='select_rules'>"+
-						 "<option value='0'>com todas</option><option value='1'>com algumas</option>"+
+			"<option value='0'>"+get_lang("with all")+"</option><option value='1'>"+get_lang("with some")+"</option>"+
 						 "</select></td><td>"+get_lang('The field \"From:\" of the message it contains')+".: <input type='text' id='field1' name='field1' size='35' maxlength='200'></td>"+
 						 "</tr><tr><td>"+get_lang('The field \"To: \" of the message it contains')+".: <input type='text' id='field2' name='field2' size='35' maxlength='200'></td>"+
 						 "</tr><tr><td>"+get_lang('The field \"Subject: \" of the message it contains')+".: <input type='text' id='field3' name='field3' size='35' maxlength='200'></td>"+
 						 "</tr><tr><td>"+get_lang('The size of the message is')+".: &nbsp<select id='select_size' name='select_size'>"+
-						 "<option value='0'>Menor que</option><option value='1'>Maior que</option>"+						 
+						"<option value='0'>"+get_lang("Less than")+"</option><option value='1'>"+get_lang("Greater than")+"</option>"+						 
 						 "</select>&nbsp;<input type='text' id='field4' name='field4' size='8' maxlength='8'> Kb</td>"+
 						 "</tr><tr><td colspan='2'><hr size='1' width='100%'></td></tr>"+
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 84)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 88)
@@ -1808,5 +1808,5 @@
 	var div	= document.getElementById(id);
 	if(!q_limit){
-		div.innerHTML = '<span><font size="2" style="color:red"><strong>SEM COTA</strong></font></span>';
+	    div.innerHTML = '<span><font size="2" style="color:red"><strong>'+get_lang("Without Quota")+'</strong></font></span>';
 	}
 	else{